文档

Asset Pipeline Client API


Asset Pipeline Client API


Asset Pipeline Client API

Unity Pipeline's Asset Pipeline customer-facing APIs.
Download OpenAPI specification:

Get all assets information for the tip of a branch.


Get all assets information for the tip of a given branch. This includes asset metadata such as asset GUID, path, type, and more. This endpoint does not return the actual asset data or preview, use the respective endpoints for that.

Path parameters for "{title}"

organizationId

string
必填
Genesis ID of the organization

projectId

string
必填
The project's Project ID

repoId

string
必填
The identifier of the repository.

branchName

string
必填
The name of the branch.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/assetpipeline/v1/organizations/{organizationId}/projects/{projectId}/repositories/{repoId}/branches/{branchName}/assets"

Response example

[ { "assetDatabasePath": "string", "repositoryFilePath": "string", "previewUrl": "string", "bundleUrl": "string", "isFavorite": true, "isFolder": true, "assetGuid": "string", "assetTimestamp": 0, "assetMetafileHash": "string", "assetName": "string", "assetFileHash": "string", "fileSizeInBytes": 0 }]

Get the preview of a specific asset on the tip of a branch.


Get the preview image of a specific asset on the tip of a branch. Returns a signed URL pointing to the preview PNG on the Plastic server. The URL expires after 300 seconds. The client must fetch the image directly from the returned URL.

Path parameters for "{title}"

organizationId

string
必填
Genesis ID of the organization

projectId

string
必填
The project's Project ID

repoId

string
必填
The identifier of the repository.

branchName

string
必填
The name of the branch.

assetGuid

string
必填
The unique identifier (GUID) of the asset.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/assetpipeline/v1/organizations/{organizationId}/projects/{projectId}/repositories/{repoId}/branches/{branchName}/assets/{assetGuid}/preview"

Response example

{ "url": "https://example.com"}

Get the contents of a specific asset on the tip of a branch.


Get the contents of a specific asset on the tip of a branch. Returns a signed URL pointing to the asset source file on the Plastic server. The URL expires after 300 seconds. The client must download the file directly from the returned URL.

Path parameters for "{title}"

organizationId

string
必填
Genesis ID of the organization

projectId

string
必填
The project's Project ID

repoId

string
必填
The identifier of the repository.

branchName

string
必填
The name of the branch.

assetGuid

string
必填
The unique identifier (GUID) of the asset.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/assetpipeline/v1/organizations/{organizationId}/projects/{projectId}/repositories/{repoId}/branches/{branchName}/assets/{assetGuid}/source"

Response example

{ "url": "https://example.com"}

Get the asset bundle of a specific asset on the tip of a branch.


Get the asset bundle of a specific asset on the tip of a branch. Returns a signed URL pointing to the asset bundle on the Plastic server. The URL expires after 300 seconds. The client must download the file directly from the returned URL.

Path parameters for "{title}"

organizationId

string
必填
Genesis ID of the organization

projectId

string
必填
The project's Project ID

repoId

string
必填
The identifier of the repository.

branchName

string
必填
The name of the branch.

assetGuid

string
必填
The unique identifier (GUID) of the asset.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/assetpipeline/v1/organizations/{organizationId}/projects/{projectId}/repositories/{repoId}/branches/{branchName}/assets/{assetGuid}/bundle"

Response example

{ "url": "https://example.com"}

Get the pipeline status for the tip of a branch.


Get the Unity Pipeline processing status for the tip of a given branch.

Path parameters for "{title}"

organizationId

string
必填
Genesis ID of the organization

projectId

string
必填
The project's Project ID

repoId

string
必填
The identifier of the repository.

branchName

string
必填
The name of the branch.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://services.api.unity.com/assetpipeline/v1/organizations/{organizationId}/projects/{projectId}/repositories/{repoId}/branches/{branchName}/pipeline/status"

Response example

{ "status": "not_started", "buildNumber": 0, "completedAt": "2024-01-01T00:00:00Z", "processedAt": "2024-01-01T00:00:00Z", "assetCount": 0, "source": { "plasticServerUrl": "string", "repo": "string", "branch": "string" }, "lastFailedAttempt": { "buildNumber": 0, "buildStatus": "string", "completedAt": "2024-01-01T00:00:00Z", "processedAt": "2024-01-01T00:00:00Z" }}